PMAINT(1)

NAME
pmaint - system/repository maintenance utility

SYNOPSIS

pmaint [-h] [--version] [--debug] [-q] [-v] [--color BOOLEAN] [--add-config SECTION KEY VALUE] [--new-config SECTION KEY VALUE] [--empty-config] [--config PATH] {sync,copy,regen,perl-rebuild,env-update,mirror,digest} ...

BASE OPTIONS

-h, --help
    Show this help message and exit. To get more information see the related man page.

--version
    Show this program's version information and exit.

    When running from within a git repo or a version installed from git the latest commit hash and date will be shown.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

CONFIG OPTIONS

--add-config SECTION KEY VALUE
    modify existing pkgcore config section

--new-config SECTION KEY VALUE
    add new pkgcore config section

--empty-config
    skip loading user/system pkgcore config

--config PATH
    use custom pkgcore config file

SUBCOMMANDS

general system maintenance

  pmaint sync - synchronize a local repository with its defined remote

  Synopsis

pmaint sync [-h] [--debug] [-q] [-v] [--color BOOLEAN] [-f] [repo [repo ...]]

  Positional Arguments

repo
    repo(s) to sync

  Optional Arguments

-f, --force
    force syncing to occur regardless of staleness checks

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  pmaint copy - copy binpkgs between repos; primarily useful for quickpkging a livefs pkg

  Synopsis

pmaint copy [--domain DOMAIN] [-h] [--debug] [-q] [-v] [--color BOOLEAN] [-s SOURCE_REPO] [-i] target_repo query [query ...]

  Positional Arguments

target_repo
    repository to add packages to

query
    packages matching any of these restrictions will be selected for copying

  Config Options

--domain DOMAIN
    custom pkgcore domain to use for this operation

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  Subcommand Options

-s SOURCE_REPO, --source-repo SOURCE_REPO
    copy strictly from the supplied repository; else it copies from wherever a match is found

-i, --ignore-existing
    if a matching pkg already exists in the target, don't update it

  pmaint regen - regenerate repository caches

  Synopsis

pmaint regen [--domain DOMAIN] [-h] [--debug] [-q] [-v] [--color BOOLEAN] [--disable-eclass-caching] [-t THREADS] [--force] [--rsync] [--use-local-desc] [--pkg-desc-index] [repo [repo ...]]

  Positional Arguments

repo
    repo(s) to regenerate caches for

  Config Options

--domain DOMAIN
    custom pkgcore domain to use for this operation

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  Subcommand Options

--disable-eclass-caching

For regen operation, pkgcore internally turns on an optimization that
    caches eclasses into individual functions thus parsing the eclass only twice max per EBD processor. Disabling this optimization via this option results in ~2x slower regeneration. Disable it only if you suspect the optimization is somehow causing issues.

-t THREADS, --threads THREADS
    Number of threads to use for regeneration, defaults to using all available processors.

--force
    force regeneration to occur regardless of staleness checks or repo settings

--rsync
    perform actions necessary for rsync repos (update metadata/timestamp.chk)

--use-local-desc
    update local USE flag description cache (profiles/use.local.desc)

--pkg-desc-index
    update package description cache (metadata/pkg_desc_index)

  pmaint perl-rebuild - EXPERIMENTAL: perl-rebuild support for use after upgrading perl

  Synopsis

pmaint perl-rebuild [--domain DOMAIN] [-h] [--debug] [-q] [-v] [--color BOOLEAN] new_version

  Positional Arguments

new_version
    the new perl version; 5.12.3 for example

  Config Options

--domain DOMAIN
    custom pkgcore domain to use for this operation

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  pmaint env-update - update env.d and ldconfig

  Synopsis

pmaint env-update [--domain DOMAIN] [-h] [--debug] [-q] [-v] [--color BOOLEAN] [--skip-ldconfig]

  Config Options

--domain DOMAIN
    custom pkgcore domain to use for this operation

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  Subcommand Options

--skip-ldconfig
    do not update etc/ldso.conf and ld.so.cache

  pmaint mirror - mirror the sources for a package in full- grab everything that could be required

  Synopsis

pmaint mirror [--domain DOMAIN] [-h] [--debug] [-q] [-v] [--color BOOLEAN] [-f] query [query ...]

  Positional Arguments

query
    query of which packages to mirror

  Config Options

--domain DOMAIN
    custom pkgcore domain to use for this operation

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  Subcommand Options

-f, --ignore-failures
    Keep going even if a failure occurs. By default, the first failure encountered stops the process.

  pmaint digest - update package manifests

  Synopsis

pmaint digest [--domain DOMAIN] [-h] [--debug] [-q] [-v] [--color BOOLEAN] [-f] [-m] [-r REPO] [target [target ...]]

  Positional Arguments

target
    Packages matching any of these restrictions will have their manifest entries updated; however, if no target is specified one of the following two cases occurs:

•   If a repo is specified, the entire repo is manifested.

•   If a repo isn't specified, a path restriction is created based on the current working directory. In other words, if pmaint digest is run within an ebuild's directory, all the ebuilds within that directory will be manifested. If the current working directory isn't within any configured repo, all repos are manifested.

  Config Options

--domain DOMAIN
    custom pkgcore domain to use for this operation

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  Subcommand Options

-f, --force
    Force package manifest files to be rewritten. Note that this requires downloading all distfiles.

-m, --mirrors
    Enable checking Gentoo mirrors first for distfiles. This is disabled by default because manifest generation is often performed when adding new ebuilds with distfiles that aren't on Gentoo mirrors yet.

-r REPO, --repo REPO
    Target repository to search for matches. If no repo is specified all ebuild repos are used.

COPYRIGHT
2006-2019, pkgcore contributors